List the PV plans of a project
Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.
GET
/v1/projects/{projectId}/pv-plansAuthorization
AuthorizationBearer token · headerrequiredWorkspace API key (`bh_…`).
Path parameters
projectIdstringrequiredmin length 1
Responses
200OK
dataobject[]requiredShow propertiesHide properties
Array of
objectidstringrequiredprojectIdstringrequirednamestringrequiredbuildingIdstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyoriginLatnumberrequiredoriginLngnumberrequiredoriginAddressstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyisFavoritebooleanrequiredsummaryobject | anyrequiredShow propertiesHide properties
Any of:
object
objectany
anycreatedAtstring<date-time>requiredupdatedAtstring<date-time>requiredRequest
curl -X GET "https://app.bauhow.com/api/v1/projects/string/pv-plans" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://app.bauhow.com/api/v1/projects/string/pv-plans", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"https://app.bauhow.com/api/v1/projects/string/pv-plans",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"data": [
{
"id": "string",
"projectId": "string",
"name": "string",
"buildingId": "string",
"originLat": 0,
"originLng": 0,
"originAddress": "string",
"isFavorite": true,
"summary": {},
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-01T00:00:00Z"
}
]
}